Rails.application.routes.draw do
  if Identity.auth_routes
    devise_for :users, {
      class_name: Identity.user_class_name,
      module: :devise,
      controllers: Identity.controllers
    }.deep_merge(Identity.auth_routes)
  end
end
