require "devise"
require "identity/devise_config"
require "identity/view_helper"

module Identity
  class Engine < ::Rails::Engine
    initializer "identity-views" do |app|
      ActionView::Base.include Identity::ViewHelper
    end

    initializer "identity-admin" do |app|
      if defined?(ActiveAdmin)
        ActiveAdmin.application.load_paths.unshift(File.dirname(__FILE__) + "/admin")
      end
    end
  end
end
